> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Attach Company as The Parent of Current Company

POST https://api-b2b.bigcommerce.com/api/v3/io/companies/{companyId}/parent
Content-Type: application/json

Assigns the Company account as the parent of a specific Company. Note that you **cannot** assign a Company as the parent of another Company which is already in a higher hierarchy level.

For example, if you have a client with local, national, and regional branches, their Company Account Hierarchy might look like this:

```
- Americas
 |- North America
 | |- Canada
 | |- United States
 |- South America
 | |- Brazil
```

You cannot assign *United States* as a parent of *North America*, since the parent Company for *United States* is also a subsidiary of *North America*.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/company/account-hierarchies/post-companies-company-id-parents

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Path parameters

- `companyId` (integer, required) — Unique numeric ID of the Company account.

### Body (application/json)

This endpoint expects an object.

- `parentCompanyId` (integer, required) — Unique numeric ID of the parent Company account. This is a read-only field; do not set or modify its value in a POST or PUT request.

## Response

### 201

OK

- `meta` (CompaniesCompanyIdParentPostResponsesContentApplicationJsonSchemaMeta, optional)

## Errors

### 400 Bad Request Error

Parameter error

- `status` (double, optional)
- `title` (string, optional)
- `errors` (CompaniesCompanyIdParentPostResponsesContentApplicationJsonSchemaErrors, optional)

## Types

### CompaniesCompanyIdParentPostResponsesContentApplicationJsonSchemaMeta

- `message` (string, optional, default: SUCCESS)

### CompaniesCompanyIdParentPostResponsesContentApplicationJsonSchemaErrors

- `index` (string, optional)

## Examples

**Request**

```json
{
  "parentCompanyId": 654321
}
```

**Response**

```json
{
  "meta": {
    "message": "SUCCESS"
  },
  "data": []
}
```

**SDK Code**

```python success
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/companies/123456/parent"

payload = { "parentCompanyId": 654321 }
headers = {
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript success
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/companies/123456/parent';
const options = {
  method: 'POST',
  headers: {'X-Auth-Token': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"parentCompanyId":654321}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go success
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/companies/123456/parent"

	payload := strings.NewReader("{\n  \"parentCompanyId\": 654321\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby success
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/companies/123456/parent")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"parentCompanyId\": 654321\n}"

response = http.request(request)
puts response.read_body
```

```java success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api-b2b.bigcommerce.com/api/v3/io/companies/123456/parent")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"parentCompanyId\": 654321\n}")
  .asString();
```

```php success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api-b2b.bigcommerce.com/api/v3/io/companies/123456/parent', [
  'body' => '{
  "parentCompanyId": 654321
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp success
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/companies/123456/parent");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"parentCompanyId\": 654321\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift success
import Foundation

let headers = [
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["parentCompanyId": 654321] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/companies/123456/parent")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```